/************************************************************
 *  Martin Toepfer     ***     PROJECT : Lingvisto          *
 *  Wissmannstr. 5     ***                                  *
 *  D - 22041 Hamburg  ***     File    : xawfunction.h      *
 *  Germany            ***     Date    : 04.04.1997         *
 ************************************************************/
#ifndef XAWFUNCTION
#define XAWFUNCTION

#include <X11/Intrinsic.h>
#include "datastructure.h"

/************************************************************
 *                 function prototypes                      *
 ************************************************************/
void SetAllSensitive(Boolean b);
Widget ComputePsh(void);
void DisplayNodeNative(NODE n);
void DisplayNodeForeign(NODE n);
void DisplayState(char *state);
void DoNextEvent(void);
char *GetString(Widget w);
char *GetNative(void);
char *GetForeign(void);
void Destroy(Widget w, XtPointer x, XtPointer y);
void DisplayMessage(char *message);
void Quit(void);
#endif
